#!/bin/sh
#
# File:		PLUSInstallAfter_MN.sh
#
# Product:	Tivoli Module
# Description:	Shell Script
# Author:		Module Generator
#
# Generated:	
#
# (C) COPYRIGHT Tivoli Systems, Inc., 1997
# All Rights Reserved
# Licensed Material - Property of Tivoli Systems, Inc.
#

#
#	The standard directory and the /Plus override script
#
ETC=/etc/Tivoli
SCRIPT=PLUSsetup_env.sh

#
#	If this is NT, then etc is in a different location
#
if [ x\"$OS\" = x\"Windows_NT\" ] ; then
     ETC=$SystemRoot/system32/drivers/etc/Tivoli
fi

#
#	Look for our override script, if not there, then use the
#		standard one.
#
if [ ! -f $ETC/$SCRIPT ]; then
	SCRIPT=setup_env.sh
fi

. $ETC/$SCRIPT

#
#	Set up some popular environment variables.
#
OSERV=`objcall 0.0.0 get_oserv`
export OSERV
INST_DIR=`objcall $OSERV query install_dir`
INST_DIR=`echo $INST_DIR | tr "\\\\\\\\" "/"`
export INST_DIR
REGION=`objcall $OSERV query whoami | awk '{print $1}'`
LIBRARY=`wlookup Library`

#
#	Get the region name to avoid collisions
#
IRO=`wlookup InterRegion`
IRONAME=`idlattr -t -g $IRO name string`
IRONAME=`eval echo $IRONAME`

DEFSEN=\"TivoliSentryDefaults#$IRONAME\"
MNOID=`objcall 0.0.0 get_host_location`
eval MNNAME=`idlattr -t -g $MNOID label string`
export MNNAME
PLUSDIR=$INST_DIR/generic_unix/TME/PLUS
LINKDIR=$PLUSDIR/LINK
PRODDIR=$PLUSDIR/SECUREWAY_FIREWALL
PATH=$LINKDIR:$PRODDIR:$PATH
export PATH

cd $PRODDIR

. ./PLUSproduct-info.sh

#
#	This setting controls the task library creation behavior
#
USE_TLL=true; export USE_TLL

#
#	Use the module-level TaskRoles setting to set up a default ROLE for tasks
#
DEFAULT_TASKROLES=super; export DEFAULT_TASKROLES

#
#	Debugging code: by creating a directory called .plusdebug in
#		the appropriate TEMP directory, the output of scripts is
#		redirected to a file in TEMP by the same name as the script.
#
TEMP=/tmp
if [ x"$OS" = x"Windows_NT" ]; then
	TEMP=$DBDIR/tmp
else
	TEMP=/tmp
fi

DEBUGDIR=$TEMP/.plusdebug

SCRIPTNAME=`echo $0 | tr "\\\\\\\\" "/"`
SCRIPTNAME=`basename $SCRIPTNAME`

[ -d "$DEBUGDIR" ] && exec > $DEBUGDIR/$SCRIPTNAME && DEBUG=true && set -xv
[ -f "$DEBUGDIR" ] && DEBUG=true && set -xv

chmod +x $LINKDIR/Link.install $LINKDIR/Link.init $LINKDIR/Link.cfg $LINKDIR/w* $LINKDIR/cfgappicon $LINKDIR/faux* $LINKDIR/*.sh

## do install
. $LINKDIR/PLUSinstall_MN.sh

###########################################################################
#
#  at this point the plus module has been installed.
#  insert any code to run after installation here.
#

FWSERVER=`$BINDIR/../generic_unix/TME/PLUS/SECUREWAY_FIREWALL/get_fw_server.sh`
FWHTTPSERVER=`$BINDIR/../generic_unix/TME/PLUS/SECUREWAY_FIREWALL/get_fwhttp_server.sh`
if [ x"$FWSERVER" != x"$MNNAME" ]; then
  wunsub @ProfileManager:"Firewall Servers#$IRONAME" @ManagedNode:"$MNNAME"
fi
if [ x"$FWHTTPSERVER" != x"$MNNAME" ]; then
  wunsub @ProfileManager:"Firewall HTTP Proxy Servers#$IRONAME" @ManagedNode:"$MNNAME"
fi

PLUS_DIR="$BINDIR/../generic_unix/TME/PLUS/SECUREWAY_FIREWALL"
BUNDLE="$BINDIR/../lcf_bundle/secureway"

if [ ! -d $BUNDLE ] ; then
      mkdir $BUNDLE
fi

if [ -d "$BINDIR/../lcf_bundle" ] ; then

  cp $PLUS_DIR/startp $BUNDLE
  cp $PLUS_DIR/reg2.exe $BUNDLE

  cp $PLUS_DIR/fwLogfile.conf $BUNDLE
  cp $PLUS_DIR/fwLogfile.map $BUNDLE
  cp $PLUS_DIR/fwLogfile.trace $BUNDLE
  cp $PLUS_DIR/fwLogfile.bat $BUNDLE
  cp $PLUS_DIR/eofFile.dne $BUNDLE
  cp $PLUS_DIR/fwLogfile.pl $BUNDLE
  cp $PLUS_DIR/mkserv.bat $BUNDLE
  cp $PLUS_DIR/post.cfg $BUNDLE
  cp $PLUS_DIR/startp.exe $BUNDLE
  cp $PLUS_DIR/system.config $BUNDLE
  cp $PLUS_DIR/Logfile.pl $BUNDLE
  cp $PLUS_DIR/tec.pl $BUNDLE
  cp $PLUS_DIR/trace.pl $BUNDLE
  cp $PLUS_DIR/reg.exe $BUNDLE
  cp $PLUS_DIR/servMgr.exe $BUNDLE
  cp $PLUS_DIR/srvany.exe $BUNDLE
  cp $PLUS_DIR/getopts.pl $BUNDLE
  cp $PLUS_DIR/install.cfg $BUNDLE
  cp $PLUS_DIR/install.pl $BUNDLE
  cp $PLUS_DIR/readConfigFile.pl $BUNDLE
  cp $PLUS_DIR/updateAixSysFiles.pl $BUNDLE
  cp $PLUS_DIR/updateConfig.pl $BUNDLE

fi

exit 0
