#!/bin/sh 
# -- BEGIN COPYRIGHT --
# IBM SecureWay Firewall Version 4.1
# Licensed Materials - Property of IBM
#
# 5697-F48
#
# (C) Copyright IBM Corp. 1985, 1994, 1999 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -- END COPYRIGHT --

#
# Program File: enable_filter.sh
#

PRODUCT=SECUREWAY_FIREWALL

# ----------------------------------------------------------------------
# Discover if we are on an LCF endpoint.
# ----------------------------------------------------------------------
if [ "x$LCF_BINDIR" != "x" ]; then
  EP=TRUE
  if [ "x$OS" = "xWindows_NT" ]; then
    ETC=$SystemRoot/system32/drivers/etc/Tivoli
    NULL=nul
  else
    ETC=/etc/Tivoli
    NULL=/dev/null
  fi
  TEMP=/tmp
else
  EP=FALSE
fi

if [ x"$EP" = x"FALSE" ] ; then
  if [ -f $SystemRoot/system32/drivers/etc/Tivoli/setup_env.sh ] ; then
          . $SystemRoot/system32/drivers/etc/Tivoli/setup_env.sh
	  TEMP=$DBDIR/tmp
  else
          . /etc/Tivoli/setup_env.sh
	  TEMP=/tmp
  fi
  OSERV=`objcall 0.0.0 get_oserv`
  INST_DIR=`objcall $OSERV query install_dir`
  PATH=$INST_DIR/generic_unix/TME/PLUS/SECUREWAY_FIREWALL:$BINDIR/AEF:$PATH
  export PATH
fi

#  Debugging code: by creating a file called /tmp/${PRODUCT}debug in
#     the appropriate TEMP directory, the output of scripts is
#     set to debugging (should appear in stderr for the task)

DEBUGFILE=$TEMP/${PRODUCT}debug

if [ -f $DEBUGFILE ]; then
  set -x
fi

#Must unset CHILD_OF_OSERV or it will end up in the firewall environment
#and could really hose up the CLI calls back to TME
unset CHILD_OF_OSERV

echo "This task is not currently operative.  Please check for a newer"
echo "release, as this task will be included in future releases."
exit 0

